#!/etc/opt/openit/perl -w

my $cfg = "/etc/opt/openit/openit.env";
my $old = "/etc/opt/openit/openit.env.old";
my $new = "/etc/opt/openit/openit.env..new";

open(OUT, ">$new") || die "Error: Can't write new cfg '$new'!\n";
open(IN, "<$cfg") || die "Error: Unable to read old cfg '$cfg'!\n";


# Get new Arch line
my $system=`/opt/openit/bin/config.guess`;

# Substitue in file
while(my $line = <IN>) {
    if($line =~ /^OPENIT_OS_ARCH/) {
        print OUT "OPENIT_OS_ARCH=$system";
    } else {
        print OUT $line;
    }
}
close(IN);
close(OUT);

if( ! rename($cfg, $old)) {
    die "Error: Unable to previous config to '$old'!\n";
}

if( ! rename($new, $cfg)) {
    die "Error: Unable to rename new config to '$cfg'!\n";
}

chmod(0644, $cfg);

exit 0;
